mgorny      14/07/03 08:27:01

  Modified:             ChangeLog multilib-build.eclass
  Log:
  Explain MULTILIB_COMPAT a bit more verbosely, and add a REQUIRED_USE for it.

Revision  Changes    Path
1.1308               eclass/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1308&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1308&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1307&r2=1.1308

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1307
retrieving revision 1.1308
diff -u -r1.1307 -r1.1308
--- ChangeLog   3 Jul 2014 07:48:49 -0000       1.1307
+++ ChangeLog   3 Jul 2014 08:27:01 -0000       1.1308
@@ -1,6 +1,9 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1307 2014/07/03 
07:48:49 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1308 2014/07/03 
08:27:01 mgorny Exp $
+
+  03 Jul 2014; Michał Górny <[email protected]> multilib-build.eclass:
+  Explain MULTILIB_COMPAT a bit more verbosely, and add a REQUIRED_USE for it.
 
   03 Jul 2014; Michał Górny <[email protected]> multilib-build.eclass:
   Re-enable multilib flags for s390.



1.61                 eclass/multilib-build.eclass

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/multilib-build.eclass?rev=1.61&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/multilib-build.eclass?rev=1.61&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/multilib-build.eclass?r1=1.60&r2=1.61

Index: multilib-build.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v
retrieving revision 1.60
retrieving revision 1.61
diff -u -r1.60 -r1.61
--- multilib-build.eclass       3 Jul 2014 07:48:49 -0000       1.60
+++ multilib-build.eclass       3 Jul 2014 08:27:01 -0000       1.61
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.60 
2014/07/03 07:48:49 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/multilib-build.eclass,v 1.61 
2014/07/03 08:27:01 mgorny Exp $
 
 # @ECLASS: multilib-build.eclass
 # @MAINTAINER:
@@ -58,8 +58,15 @@
 #
 # This variable is intended for use in prebuilt multilib packages that
 # can provide binaries only for a limited set of ABIs. If ABIs need to
-# be limited due to a bug in source code, package.use.mask is
-# recommended instead.
+# be limited due to a bug in source code, package.use.mask is to be used
+# instead. Along with MULTILIB_COMPAT, KEYWORDS should contain '-*'.
+#
+# Note that setting this variable effectively disables support for all
+# other ABIs, including other architectures. For example, specifying
+# abi_x86_{32,64} disables support for MIPS as well.
+#
+# The value of MULTILIB_COMPAT determines the value of IUSE. If set, it
+# also enables REQUIRED_USE constraints.
 #
 # Example use:
 # @CODE
@@ -114,6 +121,8 @@
        local usedeps=${flags[@]/%/(-)?}
 
        IUSE=${flags[*]}
+       REQUIRED_USE="|| ( ${flags[*]} )"
+
        MULTILIB_USEDEP=${usedeps// /,}
 }
 _multilib_build_set_globals




Reply via email to